Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v4
Class ConsultCopaymentType

    java.lang.Object
      be.fgov.ehealth.dics.core.v4.reimbursement.submit.CopaymentKeyType
          be.fgov.ehealth.dics.protocol.v4.ConsultCopaymentType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-04-05T05:07:36+02:00",
               comments="JAXB RI v2.3.6")
    public class ConsultCopaymentType

extends CopaymentKeyType
implements Serializable

Java class for ConsultCopaymentType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultCopaymentType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v4:reimbursement:submit}CopaymentKeyType">
           <sequence>
             <element name="FeeAmount" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v4}validityPeriod"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultCopaymentType()`

Method Summary
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`BigDecimal` | `getFeeAmount()` Gets the value of the feeAmount property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setFeeAmount(BigDecimal value)` Sets the value of the feeAmount property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

Methods inherited from class be.fgov.ehealth.dics.core.v4.reimbursement.submit.CopaymentKeyType
`getRegimeType, setRegimeType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultCopaymentType

    public ConsultCopaymentType()

Method Detail

### getFeeAmount

    public BigDecimal getFeeAmount()

  Gets the value of the feeAmount property.

  Returns:
    possible object is `BigDecimal`

### setFeeAmount

    public void setFeeAmount(BigDecimal value)

  Sets the value of the feeAmount property.

  Parameters:
    `value` - allowed object is `BigDecimal`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.26.1 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.